commit 473f7b018678f3db753623b76b4807c576c48630
Author: Katja Luther <k.luther@bgbm.org>
Date:   Mon Jan 21 13:47:17 2019 +0100

    ref #7163: externalize strings in preferences

diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
index 050199355..c75e94cac 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/bulkeditor/preference/BulkEditorGeneralPreferencePage.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.taxeditor.bulkeditor.preference;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
 import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;
@@ -25,7 +26,7 @@ public class BulkEditorGeneralPreferencePage extends FieldEditorPreferencePageE4
     @Override
     protected void createFieldEditors() {
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.BULK_EDITOR_OCCURRENCE_SHOW_FIELD_UNITS),
-                "Show Field Units in Specimen Editor (list).",
+                Messages.BulkEditorGeneralPreferencePage,
                 getFieldEditorParent()));
     }
 
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
index 90e8d3387..8a188d38e 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
@@ -63,6 +63,7 @@ public class Messages extends NLS {
     public static String DynamicMarkerTypeEditingMenuE4_YES;
     public static String DynamicNewObjectMenuE4_NEW;
     public static String OccurrenceEditorInput_EDITOR_NAME;
+    public static String BulkEditorGeneralPreferencePage;
 
 	static {
 		// initialize resource bundle
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
index 781dafc3c..3d42cb442 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
@@ -58,3 +58,5 @@ DynamicMarkerTypeEditingMenuE4_SET_FLAG=Set Flag '%s'
 DynamicMarkerTypeEditingMenuE4_YES=Yes
 DynamicNewObjectMenuE4_NEW=New
 OccurrenceEditorInput_EDITOR_NAME=Specimen Editor (list)
+
+BulkEditorGeneralPreferencePage=Zeige Field Units in Listeneditor an
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
index 98be2af29..b065576ed 100644
--- a/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.bulkeditor/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
@@ -59,3 +59,5 @@ DynamicMarkerTypeEditingMenuE4_SET_FLAG='%s' flag setzen
 DynamicMarkerTypeEditingMenuE4_YES=Ja
 DynamicNewObjectMenuE4_NEW=Neu
 OccurrenceEditorInput_EDITOR_NAME=Specimen-Editor (Liste)
+
+BulkEditorGeneralPreferencePage=Zeige Field Units in Listeneditor an
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
index 722344ec5..426170d1f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/Messages.java
@@ -377,11 +377,6 @@ public class Messages extends NLS {
     public static String SetPublishConfiguration_publish;
     public static String SetPublishConfiguration_dont_publish;
 
-
-    public static String TaxonomicEditorGeneralPreferences_0;
-    public static String TaxonomicEditorGeneralPreferences_1;
-
-
     public static String TCSImportWizard_ConfiguratorWizard_label;
 
 
@@ -447,6 +442,9 @@ public class Messages extends NLS {
     public static String AvailableVocabularyWizard_WIZARD_TITLE;
 
 
+    public static String BulkEditorGeneralPreferencePage_0;
+
+
     public static String CheckBoxTreeComposite_COLLAPSE_ALL;
     public static String CheckBoxTreeComposite_EXPAND;
     public static String CheckBoxTreeComposite_TOGGLE_TREE_SELECTION;
@@ -479,14 +477,26 @@ public class Messages extends NLS {
     public static String PublishFlagPreference_set;
 
     public static String NomenclaturalCodePreferences_available_codes;
+    public static String NomenclaturalCodePreferences_choose;
     public static String NomenclaturalCodePreferences_description;
-
+    public static String NomenclaturalCodePreferences_localChangesNotAllowed;
+    public static String NomenclaturalCodePreferences_useLocalCode;
+    public static String PublishEnum_publish;
 
     public static String DateDetail_parseText_tooltip;
 
-
-
-
+    public static String UIPreferences_expand;
+    public static String SearchDialogPreferences_0;
+    public static String SearchDialogPreferences_1;
+    public static String SearchDialogPreferences_2;
+    public static String SearchDialogPreferences_3;
+    public static String SearchDialogPreferences_4;
+    public static String TypeDesignationPreferences_typeDesignationsToAllNames;
+    public static String TaxonomicEditorGeneralPreferences_background;
+    public static String TaxonomicEditorGeneralPreferences_connect;
+    public static String TaxonSearchPreferences_0;
+    public static String NameRelationshipTypeMenuPreferences_relationshipTypes;
+    public static String NamedAreaTypeMenuPreferences;
     public static String GeneralPreference_open_common_name_area_selection;
 
 
@@ -519,7 +529,9 @@ public class Messages extends NLS {
     public static String MediaPreferences_advanced;
     public static String MediaPreferences_preview;
 
-
+    public static String NavigatorOrderEnum_1;
+    public static String NavigatorOrderEnum_3;
+    public static String NavigatorOrderEnum_5;
 
 
 
@@ -533,6 +545,13 @@ public class Messages extends NLS {
     public static String PublishFlagPreference_description_not_allowed;
 
 
+    public static String ChecklistEditorGeneralPreference_0;
+
+
+    public static String SpecimenOrObservationPreferences_0;
+    public static String SpecimenOrObservationPreferences_1;
+
+
     static {
         // initialize resource bundle
         NLS.initializeMessages(BUNDLE_NAME, Messages.class);
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
index d188ebd61..ebf504399 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages.properties
@@ -41,6 +41,7 @@ DatabaseRepairPage_toolTip_specimen=Caches of all Derived Units und Field Units
 DatabaseRepairPage_TeamOrPerson=Persons and Teams
 DatabaseRepairPage_toolTip_teamOrPerson=Caches of all Persons and Teams are recalculated.
 
+UIPreferences_expand=Expand sections when data are available in Details View. This might make the Editor slow.
 UpdateHandler_CHECK_UPDATE_JOB=Check Update Job
 UpdateHandler_INSTALL_JOB=Install Update Job
 UpdateHandler_NO_UPDATE_MESSAGE=No updates for the current installation have been found.
@@ -212,9 +213,6 @@ SetSecundumConfiguration_Description_Configurator=Configure how to perform the s
 SetSecundumConfiguration_Title=Configuration
 
 DatabasePreferncesPage_Is_redList=Red List 2020
-DatabasePreferncesPage_Determination_only_for_field_unnits=Show determinations only for field units
-DatabasePreferncesPage_Show_Collecting_Areas_in_general_section=Show collecting areas in general section
-DatabasePreferncesPage_Taxon_Associations=Show taxon associations in details view
 
 DatabasePreferencesPage_Biocase_Provider=Biocase provider
 DatabasePreferencesPage_details_view_configuration=Details view
@@ -236,15 +234,15 @@ DatabasePreferencesPage_Show_NameRelations=Show name relations
 DatabasePreferencesPage_Define_Default_NomenclaturalCode=Default nomenclatural code
 DatabasePreferencesPage_UseLocalPreferences=Allow to use local preference
 DatabasePreferencesPage_Specimen_Or_Observation=Specimen or observation
-DatabasePreferncesPage_Life_Form=Show Life-Form in details view of field units
 DatabasePreferencesPage_SetPublishFlag=Configure the handling of publish flag for new taxa
 
 ImportFromFileAndChooseVocIdWizardPage_AreaVoc=Area Vocabulary
 ImportFromFileAndChooseVocIdWizardOage_AreaVoc_toolTip=Please choose a vocabulary for the used areas.
 ExcelDistributionUpdateWizard_ConfiguratorWizard_label=Configure Excel distribution update
 AbstractImportWizard_ConfigurationLabel=Configure the Import
-TaxonomicEditorGeneralPreferences_0=Run long running operations in background
-TaxonomicEditorGeneralPreferences_1=Connect to last used datasource when launching
+TaxonomicEditorGeneralPreferences_background=Run long running operations in background
+TaxonomicEditorGeneralPreferences_connect=Connect to last used datasource when launching
+TaxonSearchPreferences_0=Open search results in separate windows
 TCSImportWizard_ConfiguratorWizard_label=Configure the TCS import
 FeatureTreeEditorComposite_ADD_FEATURE=Add a feature to this feature tree.
 FeatureTreeEditorComposite_FEATURE_TREE=Feature Tree
@@ -264,6 +262,7 @@ NonViralNameDetails_descriptionDeleteOfFungiNameParts=If you click Ok, the anamo
 NonViralNameDetails_confirmDeleteOfCultivarNameParts=The cultivar name needs to be removed
 NonViralNameDetails_descriptionDeleteOfCultivarNameParts=If you click Ok, the cultivar name is removed and the nomenclatural code is changed
 
+NamedAreaTypeMenuPreferences=Edit displayed named area types
 NameDetailsViewComposite_Show_TypeDesignation=Name type designation section
 NameDetailsViewComposite_Show_Namerelationships=Name relationship section
 NameDetailsViewComposite_Show_Hybrid=Hybrid section
@@ -302,6 +301,11 @@ SetPublishConfiguration_publish=publish
 SetPublishConfiguration_dont_publish=don't publish
 
 SearchDialog_patternLabel=Use * for wildcard
+SearchDialogPreferences_0=Show object id in entity selection dialogs
+SearchDialogPreferences_1=Set search for Identifier as default.
+SearchDialogPreferences_2=Search for identifier and titleCache, if identifier search is enabled
+SearchDialogPreferences_3=In selection dialogs for taxa, sort by rank and name
+SearchDialogPreferences_4=Filter common name references
 
 SelectionViewMenu_selectVocabulary=choose vocabulary
 SelectionViewMenu_SET_FLAG='%s' set flag
@@ -353,27 +357,20 @@ AvailableDistributionWizard_WINDOW_TITLE=Distribution Selection Wizard
 AvailableVocabularyWizard_PAGE_TITLE=AvailableDistributionPage
 AvailableVocabularyWizard_WINDOW_TITLE=Vocabulary Selection
 AvailableVocabularyWizard_WIZARD_TITLE=Vocabulary Selection
+BulkEditorGeneralPreferencePage_0=Show Field Units in Specimen Editor (list).
 
 CheckBoxTreeComposite_COLLAPSE_ALL=Collapse all
 CheckBoxTreeComposite_EXPAND=Expand selected node
 CheckBoxTreeComposite_TOGGLE_TREE_SELECTION=Toggle selection on all children
-ChecklistEditorGeneralPreference_3=eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardHandler
-ChecklistEditorGeneralPreference_enable=Enable Distribution Editor
+ChecklistEditorGeneralPreference_0=The CDM settings don't allow to set the preferences for using the distribution editor locally. If you need to make local settings, please ask an administrator.
+
 GeneralPreference_allowOverride=Allow override
-ChecklistEditorGeneralPreference_open_distribution_selection=Select Area Vocabularies
-ChecklistEditorGeneralPreference_open_wizard=List of available area vocabularies
-ChecklistEditorGeneralPreference_Configure_display_of_Areas=Display of areas in the header
-ChecklistEditorGeneralPreference_Configure_display_of_Status=Display of distribution status in the table
 ChecklistEditorGeneralPreference_show_id_in_voc=Id in Vocabulary
 ChecklistEditorGeneralPreference_show_symbol1=Symbol
 ChecklistEditorGeneralPreference_show_symbol2=Second Symbol
 ChecklistEditorGeneralPreference_show_title=Complete Title
-ChecklistEditorGeneralPreference_show_rank=Show Rank in Distribution Editor
 ChecklistEditorGeneralPreference_show_symbol=Show symbol of the status, if existing
-ChecklistEditorGeneralPreference_sort_areas=Sort areas by order in vocabulary
 ChecklistEditorGeneralPreference_STATUS_DISPLAY_TEXT=Configure how the status should be displayed
-ChecklistEditorGeneralPreference_own_Description=Create own fact dataset for distributions created by the Distribution Editor
-ChecklistEditorGeneralPreference_own_DescriptionToolTip=Entries created with the Distribution Editor, saved in an own Taxon Description
 GeneralPreference_override=Override
 
 
@@ -386,6 +383,7 @@ GfBioTerminologyImportPresenter_TEXT_SEARCH_DEFAULT=Use "*" for wildcard searchi
 GfBioTerminologyImportPresenter_SEARCH_TOO_SHORT_MESSAGE=Search phrase with <4 letters are not possible for all ontologies. Please select a specific ontology
 GfBioTerminologyImportPresenter_SEARCH_TOO_SHORT_TITLE=Search phrase too short
 
+PublishEnum_publish=Publish
 PublishFlagPreference_description=Default value of the publish flag of a newly created taxon
 PublishFlagPreference_description_not_allowed=The configuration of the default settings for the publish flag in new created taxa is not possible in local preferences. \nIf you want to change the configuration, please contact an administrator.
 PublishFlagPreference_do_not_set=Don't set publish flag
@@ -393,26 +391,32 @@ PublishFlagPreference_inherit=Inherit from parent
 PublishFlagPreference_set=Set publish flag
 
 NomenclaturalCodePreferences_available_codes=Available Codes
+NomenclaturalCodePreferences_choose=Choose which nomenclatural code you would like to use in your local application for scientific names unless otherwise specified.
 NomenclaturalCodePreferences_description=Nomenclatural default code for creation of new taxon names
+NomenclaturalCodePreferences_localChangesNotAllowed=The CDM settings don't allow to set the nomenclatural code locally. If you need to make local settings, please ask an administrator.
+NomenclaturalCodePreferences_useLocalCode=Use local nomenclatural code
 
 NameDetailsViewConfiguration_description=Configure the simple name details view. The selected parts are displayed, others are not visible in a simple name details view.
 NameDetailsViewConfiguration_description_not_available=The configuration of the name details view is not possible in local preferences. \nIf you want to change the configuration, please contact an administrator.
+NameRelationshipTypeMenuPreferences_relationshipTypes=Configure name relationship types
 NameRelationshipWizardPage_description=Choose namerelationship type and related name
+NavigatorOrderEnum_1=Alphabetical Order
+NavigatorOrderEnum_3=Natural Order
+NavigatorOrderEnum_5=Rank and Name Order
 
 DateDetail_parseText_tooltip=This field is for quick data entry. The content is parsed and the atomised fields will be filled, the content of this field will not be saved.
 
 GeneralPreference_open_common_name_area_selection=Select Areas
 
 VokabularyAdminPreferences_SELECT_VOCABULARY_TEXT=Select the area vocabularies which should be available for common names.
-DatabasePreferncesPage_Show_Specimen=Show specimen related views and menu entries
 SpecimenConfiguration_description=Select whether you want to edit specimen related data and how they should be displayed.
+SpecimenOrObservationPreferences_0=The CDM settings don't allow to set the preferences for the display of specimen and observations locally. If you need to make local settings, please ask an administrator.
+SpecimenOrObservationPreferences_1=Set the preferences for the display of specimen and observations.
 DatabasePreferncesPage_Show_IOMenu=Show Import/Export menu entries
-Distribution_status_selection=Status Selection
 DatabasePreferncesPage_Show_MediaView=Show Media View
 DatabasePreferncesPage_Show_ChecklistPerspective=Show Checklist Perspective as default Perspective
 DatabasePreferncesPage_Show_TaxonNodeWizard=Taxon Nodes can be edited in Wizard
 
-DistributionAdminPreferences_SELECT_STATUS=List of available distribution status
 
 MediaPreferences_advanced=Show Advanced Media View in Details View
 MediaPreferences_preview=Show Preview in Media View (Tree View)
@@ -420,6 +424,7 @@ MediaPreferences_preview=Show Preview in Media View (Tree View)
 
 ToggleableText_ToolTip_closed=Cache is created automatically from atomized data, cache protected against manual entries
 ToggleableText_ToolTip_open=Cache can be edited manually, editing the atomized data has no effect on the cache (not recommended)
+TypeDesignationPreferences_typeDesignationsToAllNames=Add type designations to all names in a homotypical group.
 
 
 FeatureTreeDropAdapter_CHOOSE_VOC=Choose vocabulary for import
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
index cea9779a7..d7d655bfb 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/l10n/messages_de.properties
@@ -19,8 +19,8 @@ ListComponent_REMOVE_PROVIDER=Provider entfernen
 OpenCommonNameAreaWizardAdminHandler_COMMON_NAMES=Trivialnamen
 OpenDistributionEditorWizardHandlerAdminE4_DISTRIBUTION=Verbreitung
 OpenDistributionEditorWizardHandlerE4_DISTRIBUTION=Verbreitung
-OrderPreferencePage_NewNavigatorWindowRequired=Nach dem Ändern der Taxon Sortierung, ist das Schließen und erneute Öffnen des Taxonnavigators erforderlich.
-OrderPreferencePage_PleaseReopenNavigator=Bitte schließen Sie den Taxonnavigator und öffnen ihn erneut.
+
+
 DatabaseRepairPage_chooseParameter=Bitte wählen Sie, für welche Bäume der SortIndex neu berechnet werden soll.
 DatabaseRepairPage_updateTaxonNodes=Taxonomischer Baum
 DatabaseRepairPage_toolTip_taxonNode=Die Sortier Indizes des Taxonomischen Baums werden aktualisiert.
@@ -289,6 +289,11 @@ SetPublishConfiguration_publish=ver
 SetPublishConfiguration_dont_publish=nicht veröffentlichen
 
 SearchDialog_patternLabel=Nutze * als Platzhalter für eine beliebige Zeichenkette
+SearchDialogPreferences_0=Zeige Object ID in Such Dialogen
+SearchDialogPreferences_1=Setze die Suche nach Identifiern als Default
+SearchDialogPreferences_2=Suche nach Identifiern und Titlecache, wenn Identifier Suche ist aktiviert
+SearchDialogPreferences_3=In Taxon Such Dialogen sortiere nach Rang und Namen
+SearchDialogPreferences_4=Filter Referenzen für Trivialnamen
 
 SelectionViewMenu_selectVocabulary=Vokabular wählen
 SelectionViewMenu_SET_FLAG='%s' flag setzen
@@ -344,7 +349,7 @@ AvailableVocabularyWizard_WIZARD_TITLE=Vokabular ausw
 CheckBoxTreeComposite_COLLAPSE_ALL=Alles einklappen
 CheckBoxTreeComposite_EXPAND=Ausgewählten Knoten ausklappen
 CheckBoxTreeComposite_TOGGLE_TREE_SELECTION=Alle Kinder (de-)selektieren
-ChecklistEditorGeneralPreference_3=eu.etaxonomy.taxeditor.store.open.OpenDistributionEditorWizardHandler
+ChecklistEditorGeneralPreference_0=Die Datenbank Präferenzen erlauben kein lokales Bearbeiten der Verbreitungseditor Präferenzen. \nWenn Sie dennoch Änderungen an den Präferenzen vornehmen müssen, wenden Sie sich bitte an einen Administrator.
 ChecklistEditorGeneralPreference_enable=Verbreitungs-Editor aktivieren
 GeneralPreference_allowOverride=Erlaube Überschreiben
 ChecklistEditorGeneralPreference_open_distribution_selection=Gebiets Vokabulare Auswählen
@@ -420,9 +425,23 @@ MediaPreferences_advanced=Zeige erweiterten Media View im Details View
 MediaPreferences_preview=Zeige Vorschau im Media View (Baumansicht)
 ExperimentalFeaturesPreferences=Zeige experimentelle Features
 
-LanguageRepresentationPreferencePage_global=Wählen Sie die Sprache, für die im gesamten Editor die Repräsentationen ausgewählt werden sollen (sofern vorhanden).
+LanguageRepresentationPreferencePage_global=Wählen Sie die Sprache, für die im gesamten Editor die Repräsentationen ausgewählt werden soll (sofern vorhanden).
 LanguageRepresentationPreferencePage_enable=Aktiviere mehrsprachige Editierbarkeit
 
-OrderPreferences_Restore=Stelle den letzten Navigator Status wieder her.
+OrderPreferences_Restore=Stelle den letzten Navigator Status wieder her
 OrderPreferences_Sorting=Sortierung
+TypeDesignationPreferences_typeDesignationsToAllNames=Füge allen Namen einer Homotypischen Gruppe, Type Designations zu
+TaxonomicEditorGeneralPreferences_background=Long Running Operations laufen im Hintergrund
+TaxonomicEditorGeneralPreferences_connect=Beim Starten mit der zuletzt verwendeten Datenquelle verbinden
+
+UIPreferences_expand=Klappe Abschnitte im Details View auf, wenn Daten vorhanden sind
+TaxonSearchPreferences_0=Öffne Suchergebnisse in eigenem Fenster
+NamedAreaTypeMenuPreferences=Wählen Sie die angezeigten Named Area Typen aus
+NameRelationshipTypeMenuPreferences_relationshipTypes=Wählen Sie die verwendeten Namensrelationstypen
+
+SpecimenOrObservationPreferences_0=Die serverseitigen Einstellungen erlauben kein lokales Editieren der Specimen Einstellungen. \nWenn Sie dennoch Änderungen vornehmen müssen, wenden Sie sich bitte an einen Administrator.
+SpecimenOrObservationPreferences_1=Editieren der Einstellungen zur Darstellung von Specimen und Beobachtungen.
 
+NavigatorOrderEnum_1=alphabetisch
+NavigatorOrderEnum_3=natürlich
+NavigatorOrderEnum_5=Rang und alphabetisch
\ No newline at end of file
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java
index 6611d0348..832a6e1d3 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/NavigatorOrderEnum.java
@@ -8,15 +8,17 @@
 */
 package eu.etaxonomy.taxeditor.preference;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
+
 /**
  * @author k.luther
  * @since 19.11.2018
  *
  */
 public enum NavigatorOrderEnum {
-    AlphabeticalOrder("AlphabeticalOrder", "Alphabetical Order"),
-    NaturalOrder("NaturalOrder", "Natural Order"),
-    RankAndNameOrder("RankAndNameOrder", "Rank and Name Order");
+    AlphabeticalOrder("AlphabeticalOrder", Messages.NavigatorOrderEnum_1), //$NON-NLS-1$
+    NaturalOrder("NaturalOrder", Messages.NavigatorOrderEnum_3), //$NON-NLS-1$
+    RankAndNameOrder("RankAndNameOrder", Messages.NavigatorOrderEnum_5); //$NON-NLS-1$
 
 
     String label;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java
index 300d3f367..9cc6988cd 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/PublishEnum.java
@@ -8,6 +8,8 @@
 */
 package eu.etaxonomy.taxeditor.preference;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
+
 /**
  * @author k.luther
  * @since 19.11.2018
@@ -15,9 +17,9 @@ package eu.etaxonomy.taxeditor.preference;
  */
 public enum PublishEnum {
 
-    Publish("Publish", "Publish"),
-    NotPublish("NotPublish", "Not Publish"),
-    InheritFromParent("InheritFromParent", "Inherit from Parent");
+    Publish("Publish", Messages.PublishEnum_publish), //$NON-NLS-1$
+    NotPublish("NotPublish", ""), //$NON-NLS-1$ //$NON-NLS-2$
+    InheritFromParent("InheritFromParent", ""); //$NON-NLS-1$ //$NON-NLS-2$
 
 
     String label;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchDialogPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchDialogPreferences.java
index 7ac710709..65c8a6fdf 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchDialogPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchDialogPreferences.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.taxeditor.preference;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;
 
 /**
@@ -25,21 +26,20 @@ public class SearchDialogPreferences extends FieldEditorPreferencePageE4 {
     @Override
     protected void createFieldEditors() {
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.SHOW_ID_IN_ENTITY_SELECTION_DIAOLOG),
-                "Show object id in entity selection dialogs",
+                Messages.SearchDialogPreferences_0,
                 getFieldEditorParent()));
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.IS_SEARCH_FOR_IDENTIFIER_AS_DEFAULT),
-                "Set search for Identifier as default.",
+                Messages.SearchDialogPreferences_1,
                 getFieldEditorParent()));
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.SEARCH_FOR_IDENTIFIER_AND_TITLECACHE),
-                "Search for identifier and titleCache, if identifier search is enabled",
+                Messages.SearchDialogPreferences_2,
                 getFieldEditorParent()));
-
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.SORT_TAXA_BY_RANK_AND_NAME),
-                "In selection dialogs for taxa, sort by rank and name",
+                Messages.SearchDialogPreferences_3,
                 getFieldEditorParent()));
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(
                 IPreferenceKeys.FILTER_COMMON_NAME_REFERENCES),
-                "Filter common name references", getFieldEditorParent()));
+                Messages.SearchDialogPreferences_4, getFieldEditorParent()));
 
 
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchPreferences.java
index 3a35cd4f2..16fed3cb9 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SearchPreferences.java
@@ -25,7 +25,7 @@ public class SearchPreferences extends CdmPreferencePage {
      */
     @Override
     protected Control createContents(Composite parent) {
-        // TODO Auto-generated method stub
+        noDefaultAndApplyButton();
         return null;
     }
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SpecimenOrObservationPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SpecimenOrObservationPreferences.java
index d996e4229..fbc12a21e 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SpecimenOrObservationPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/SpecimenOrObservationPreferences.java
@@ -29,8 +29,8 @@ import eu.etaxonomy.taxeditor.store.CdmStore;
  */
 public class SpecimenOrObservationPreferences extends CdmPreferencePage {
 
-    private static final String LOCAL_SETTINGS_NOT_ALLOWED = "The CDM settings don't allow to set the preferences for the display of specimen and obeservations locally. If you need to make local settings, please ask an administrator.";
-    private static final String DESCRIPTION = "Set the preferences for the display of specimen and observations.";
+    private static final String LOCAL_SETTINGS_NOT_ALLOWED = Messages.SpecimenOrObservationPreferences_0;
+    private static final String DESCRIPTION = Messages.SpecimenOrObservationPreferences_1;
 
     protected boolean isShowSpecimenRelatedIssues;
     protected boolean allowOverrideShowSpecimenRelatedIssues;
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonSearchPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonSearchPreferences.java
index ad7dc4b75..161537145 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonSearchPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonSearchPreferences.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.taxeditor.preference;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;
 
 /**
@@ -25,7 +26,10 @@ public class TaxonSearchPreferences extends FieldEditorPreferencePageE4{
     @Override
     protected void createFieldEditors() {
         addField(new BooleanFieldEditor(IPreferenceKeys.SEARCH_OPEN_RESULTS_IN_SEPARATE_WINDOWS,
-                "Open search results in separate windows",
+                Messages.TaxonSearchPreferences_0,
+                getFieldEditorParent()));
+        addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.SORT_TAXA_BY_RANK_AND_NAME),
+                Messages.SearchDialogPreferences_3,
                 getFieldEditorParent()));
 
     }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonomicEditorGeneralPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonomicEditorGeneralPreferences.java
index 24b8d03d2..030fb145f 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonomicEditorGeneralPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TaxonomicEditorGeneralPreferences.java
@@ -37,7 +37,7 @@ public class TaxonomicEditorGeneralPreferences extends
 	@Override
 	protected void createFieldEditors() {
 	    runInBackgroundEditor = new BooleanFieldEditor(IPreferenceConstants.RUN_IN_BACKGROUND,
-	            Messages.TaxonomicEditorGeneralPreferences_0,
+	            Messages.TaxonomicEditorGeneralPreferences_background,
 	            getFieldEditorParent());
         addField(runInBackgroundEditor);
 
@@ -56,7 +56,7 @@ public class TaxonomicEditorGeneralPreferences extends
 //				"EDIT Map Service Access Point:", getFieldEditorParent()));
 		addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(
 				IPreferenceKeys.SHOULD_CONNECT_AT_STARTUP),
-				Messages.TaxonomicEditorGeneralPreferences_1,
+				Messages.TaxonomicEditorGeneralPreferences_connect,
 				getFieldEditorParent()));
 //		addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(
 //				IPreferenceKeys.SHOW_EXPERIMENTAL_FEATURES),
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TypeDesignationPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TypeDesignationPreferences.java
index aa7505301..bce07a4bb 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TypeDesignationPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/TypeDesignationPreferences.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.taxeditor.preference;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;
 
 /**
@@ -23,7 +24,7 @@ public class TypeDesignationPreferences extends FieldEditorPreferencePageE4 {
 	@Override
 	protected void createFieldEditors() {
 		addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(IPreferenceKeys.ADD_TYPES_TO_ALL_NAMES),
-				"Add type designations to all names in a homotypical group.",
+				Messages.TypeDesignationPreferences_typeDesignationsToAllNames,
 				getFieldEditorParent()));
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/UIPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/UIPreferences.java
index 4382be535..cb909072f 100755
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/UIPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/UIPreferences.java
@@ -10,6 +10,7 @@ package eu.etaxonomy.taxeditor.preference;
 
 import org.eclipse.jface.preference.BooleanFieldEditor;
 
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.preference.menu.FieldEditorPreferencePageE4;
 
 /**
@@ -26,7 +27,7 @@ public class UIPreferences extends FieldEditorPreferencePageE4 {
     protected void createFieldEditors() {
         addField(new BooleanFieldEditor(PreferencesUtil.createPreferenceString(
                 IPreferenceKeys.SHOULD_EXPAND_SECTION_WHEN_DATA_AVAILABLE),
-                "Expand sections when data are available in Details View. This might make the Editor slow.",
+                Messages.UIPreferences_expand,
                 getFieldEditorParent()));
 
     }
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NameRelationshipTypeMenuPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NameRelationshipTypeMenuPreferences.java
index 96cc5f2cc..2d7f602c2 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NameRelationshipTypeMenuPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NameRelationshipTypeMenuPreferences.java
@@ -15,6 +15,7 @@ import org.eclipse.swt.widgets.Control;
 
 import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.name.NameRelationshipType;
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.labels.ILabelImageStrategy;
 import eu.etaxonomy.taxeditor.labels.LabelImageProvider;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
@@ -34,8 +35,8 @@ public class NameRelationshipTypeMenuPreferences extends
 	 * <p>Constructor for NameRelationshipTypeMenuPreferences.</p>
 	 */
 	public NameRelationshipTypeMenuPreferences() {
-		super("Name relationship types",
-				"Configure name relationship types",
+		super("Name relationship types", //$NON-NLS-1$
+				Messages.NameRelationshipTypeMenuPreferences_relationshipTypes,
 				false);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NamedAreaTypeMenuPreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NamedAreaTypeMenuPreferences.java
index 19c02c024..b4b7e6bd5 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NamedAreaTypeMenuPreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NamedAreaTypeMenuPreferences.java
@@ -11,6 +11,7 @@ package eu.etaxonomy.taxeditor.preference.menu;
 
 import eu.etaxonomy.cdm.model.common.TermType;
 import eu.etaxonomy.cdm.model.location.NamedAreaType;
+import eu.etaxonomy.taxeditor.l10n.Messages;
 
 /**
  * <p>NamedAreaTypeMenuPreferences class.</p>
@@ -25,8 +26,8 @@ public class NamedAreaTypeMenuPreferences extends AbstractMenuPreferences<NamedA
 	 * <p>Constructor for NamedAreaTypeMenuPreferences.</p>
 	 */
 	public NamedAreaTypeMenuPreferences() {
-		super("Named Area Types",
-				"Edit displayed named area types",
+		super("Named Area Types", //$NON-NLS-1$
+				Messages.NamedAreaTypeMenuPreferences,
 				false);
 	}
 
diff --git a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NomenclaturalCodePreferences.java b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NomenclaturalCodePreferences.java
index 9542f18dc..3fee14a7d 100644
--- a/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NomenclaturalCodePreferences.java
+++ b/eu.etaxonomy.taxeditor.store/src/main/java/eu/etaxonomy/taxeditor/preference/menu/NomenclaturalCodePreferences.java
@@ -20,6 +20,7 @@ import eu.etaxonomy.cdm.model.metadata.CdmPreference.PrefKey;
 import eu.etaxonomy.cdm.model.metadata.PreferencePredicate;
 import eu.etaxonomy.cdm.model.metadata.PreferenceSubject;
 import eu.etaxonomy.cdm.model.name.NomenclaturalCode;
+import eu.etaxonomy.taxeditor.l10n.Messages;
 import eu.etaxonomy.taxeditor.model.NomenclaturalCodeHelper;
 import eu.etaxonomy.taxeditor.preference.IPreferenceKeys;
 import eu.etaxonomy.taxeditor.preference.PreferencesUtil;
@@ -41,15 +42,15 @@ public class NomenclaturalCodePreferences extends FieldEditorPreferencePageE4 {
 	    if (pref.isAllowOverride()) {
 	        addField(new ComboFieldEditor(
 	                PreferencesUtil.createPreferenceString(IPreferenceKeys.PREFERRED_NOMENCLATURAL_CODE_KEY),
-				"Available Codes", getLabelAndValues(),
+				Messages.NomenclaturalCodePreferences_available_codes, getLabelAndValues(),
 				getFieldEditorParent()));
 
             addField(new BooleanFieldEditor(
                     PreferencesUtil.createOverridePreferenceString(PreferencePredicate.NomenclaturalCode.getKey()),
-                    "Use local nomenclatural code",
+                    Messages.NomenclaturalCodePreferences_useLocalCode,
                     getFieldEditorParent()));
         } else {
-            setDescription("The CDM settings don't allow to set the nomenclatural code locally. If you need to make local settings, please ask an administrator.");
+            setDescription(Messages.NomenclaturalCodePreferences_localChangesNotAllowed);
         }
 
 	}
@@ -90,9 +91,9 @@ public class NomenclaturalCodePreferences extends FieldEditorPreferencePageE4 {
           }
 
 	    if (pref.isAllowOverride()) {
-	        setDescription("Choose which nomenclatural code you would like to use in your local application for scientific names unless otherwise specified.");
+	        setDescription(Messages.NomenclaturalCodePreferences_choose);
 	    }else{
-	        setDescription("The CDM settings don't allow to set the nomenclatural code locally. If you need to make local settings, please ask an administrator.");
+	        setDescription(Messages.NomenclaturalCodePreferences_localChangesNotAllowed);
 
 	    }
 	}
